package jp.ac.naka.ec.sip;

import java.util.Properties;

public class SipConfiguration {

	public static String STACK_NAME = "ec";
	public static String AUTOMATIC_DIALOG_SUPPORT = "ON";
	public static String USE_ROUTER_FOR_ALL_URIS = "true";
	public static int TRACE_LEVEL=16;
	public static String DEBUG_LOG="log/debug.log";
	public static String SERVER_LOG="log/server.log";
	public static int READ_TIMEOUT=1000;
	public static int MAX_MESSAGE_SIZE=4096;

	public static Properties getDefaultConfigurationProperties() {
		Properties prop = new Properties();
		prop.put("javax.sip.STACK_NAME", STACK_NAME);
		prop.put("javax.sip.AUTOMATIC_DIALOG_SUPPORT", AUTOMATIC_DIALOG_SUPPORT);
		prop.put("javax.sip.USE_ROUTER_FOR_ALL_URIS", USE_ROUTER_FOR_ALL_URIS);
		prop.put("gov.nist.javax.sip.TRACE_LEVEL", TRACE_LEVEL);
		prop.put("gov.nist.javax.sip.DEBUG_LOG", DEBUG_LOG);
		prop.put("gov.nist.javax.sip.SERVER_LOG", SERVER_LOG);
		prop.put("gov.nist.javax.sip.READ_TIMEOUT",READ_TIMEOUT);
		prop.put("gov.nist.javax.sip.MAX_MESSAGE_SIZE", MAX_MESSAGE_SIZE);
		return prop;
	}

}
